CREATE OR REPLACE FORCE VIEW "ION"."MS_SITES_ONAIR_VW" ("SITE_ID", "INTERNAL_SITE_NAME", "SWITCH_OF_HOMED_BTS", "CELL_SITE_COMMON_NAME", "CASCADE_ID", "BTS_SWITCH_ID", "BTS_TYPE", "EVDO_IMPLEMENTED", "DATE_EVDO_IMPLEMENTED", "SITE_STATUS", "BTS_ON_AIR_DATE", "SITE_LINK", "GEOM") AS 
SELECT st.site_id,
  st.site_nm AS Internal_Site_Name,
  swt.clli_descr AS Switch_of_Homed_BTS,
  sdt.site_descr AS Cell_Site_Common_Name,
  st.cascade_id_cd AS Cascade_ID,
  st.bts_nbr AS BTS_Switch_ID,
  stt.site_type_descr AS BTS_Type,
  carrier.evdo_yn AS EVDO_Implemented,
  to_char(carrier.evdo_on_air_dt, 'MM/DD/YYYY') AS Date_EVDO_Implemented,
  sst.site_status_descr AS Site_Status,
  to_char(cont.on_air_actual_dt, 'MM/DD/YYYY') AS BTS_On_Air_Date,
  '<a href="https://nps.ilpcs.com/eon/?eon_page=eon_general.jsp&amp;site_id=' || st.site_id || '" target="_blank">More...</a>' AS site_link,
  sgt.geom
FROM site_tab st,
  switch_tab swt,
  site_descr_tab sdt,
  site_type_tab stt,
  (SELECT cit.site_id,
     MAX(CASE WHEN (cit.carrier_nbr = 1 AND cit.carrier_type_id = 1 AND cit.status_id = 4) OR (cit.carrier_nbr = 2 AND cit.carrier_type_id = 1 AND cit.status_id = 4) OR (cit.carrier_nbr = 3 AND cit.carrier_type_id = 1 AND cit.status_id = 4) OR (cit.carrier_nbr = 4 AND cit.carrier_type_id = 1 AND cit.status_id = 4) OR (cit.carrier_nbr = 5 AND cit.carrier_type_id = 1 AND cit.status_id = 4) OR (cit.carrier_nbr = 5 AND cit.carrier_type_id = 1 AND cit.status_id = 4) THEN 'Yes' ELSE 'No' END) AS evdo_yn,
     MIN(CASE WHEN cit.carrier_type_id = 1 AND cit.status_id = 4 THEN cit.on_air_dt END) AS evdo_on_air_dt
   FROM carrier_info_tab cit
   GROUP BY cit.site_id) carrier,
  construction_tab cont,
  site_status_tab sst,
  site_geom_tab sgt
WHERE st.switch_id = swt.switch_id(+)
  AND st.site_id = sdt.site_id
  AND st.site_type_id = stt.site_type_id(+)
  AND st.site_id = carrier.site_id
  AND st.site_id = cont.site_id
  AND st.site_status_id = sst.site_status_id(+)
  AND(cont.site_id, cont.maint_dt) IN
    (SELECT site_id,
       MIN(maint_dt)
     FROM construction_tab
     GROUP BY site_id)
  AND (st.site_status_id IN (4) AND st.site_type_id NOT IN(9, 11) AND st.site_nm NOT LIKE '%B' AND upper(stt.site_type_descr) NOT LIKE '%COW%')
  AND st.site_id = sgt.site_id
ORDER BY swt.switch_id, st.site_nm;